
From: James Cleverdon <jamesclv@us.ibm.com>

Bump up MAX_MP_BUSSES for summit/generic subarch to cope with big IBM x440
systems.


---

 25-akpm/include/asm-i386/mach-generic/mach_mpspec.h |    4 +++-
 25-akpm/include/asm-i386/mach-summit/mach_mpspec.h  |    3 ++-
 2 files changed, 5 insertions(+), 2 deletions(-)

diff -puN include/asm-i386/mach-generic/mach_mpspec.h~summit-increase-MAX_MP_BUSSES include/asm-i386/mach-generic/mach_mpspec.h
--- 25/include/asm-i386/mach-generic/mach_mpspec.h~summit-increase-MAX_MP_BUSSES	2004-04-03 03:00:06.508242152 -0800
+++ 25-akpm/include/asm-i386/mach-generic/mach_mpspec.h	2004-04-03 03:00:06.512241544 -0800
@@ -8,6 +8,8 @@
 
 #define MAX_IRQ_SOURCES 256
 
-#define MAX_MP_BUSSES 32
+/* Summit or generic (i.e. installer) kernels need lots of bus entries. */
+/* Maximum 256 PCI busses, plus 1 ISA bus in each of 4 cabinets. */
+#define MAX_MP_BUSSES 260
 
 #endif /* __ASM_MACH_MPSPEC_H */
diff -puN include/asm-i386/mach-summit/mach_mpspec.h~summit-increase-MAX_MP_BUSSES include/asm-i386/mach-summit/mach_mpspec.h
--- 25/include/asm-i386/mach-summit/mach_mpspec.h~summit-increase-MAX_MP_BUSSES	2004-04-03 03:00:06.509242000 -0800
+++ 25-akpm/include/asm-i386/mach-summit/mach_mpspec.h	2004-04-03 03:00:06.512241544 -0800
@@ -8,6 +8,7 @@
 
 #define MAX_IRQ_SOURCES 256
 
-#define MAX_MP_BUSSES 32
+/* Maximum 256 PCI busses, plus 1 ISA bus in each of 4 cabinets. */
+#define MAX_MP_BUSSES 260
 
 #endif /* __ASM_MACH_MPSPEC_H */

_
